> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auctions

> Returns a list of auctions with optional filtering and pagination.



## OpenAPI

````yaml /api-reference/openapi.documented.json get /api/auctions
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/auctions:
    get:
      tags:
        - Auction
      summary: Get auctions
      description: Returns a list of auctions with optional filtering and pagination.
      parameters: []
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                        websiteId:
                          type: string
                          format: uuid
                        organizationId:
                          type: string
                          format: uuid
                        mintingContractId:
                          type: string
                          format: uuid
                        userId:
                          type: string
                          format: uuid
                        reservePrice:
                          type: string
                          nullable: true
                        minBidIncrement:
                          type: string
                          nullable: true
                        minBidAmount:
                          type: string
                        currencyAddress:
                          type: string
                          nullable: true
                        loyaltyCurrencyId:
                          type: string
                          format: uuid
                          nullable: true
                        currencyDecimals:
                          type: number
                        startsAt:
                          type: string
                          format: date-time
                        endsAt:
                          type: string
                          format: date-time
                        extendedDurationInSeconds:
                          type: number
                          nullable: true
                        hideBids:
                          type: boolean
                        type:
                          type: string
                          enum:
                            - first_price
                            - second_price
                            - english
                        status:
                          type: string
                          enum:
                            - in_progress
                            - completed
                            - cancelled
                        biddersOwnCollectionAddresses:
                          type: array
                          items:
                            type: string
                        name:
                          type: string
                        description:
                          type: string
                        network:
                          type: string
                          enum:
                            - ethereum
                            - zksync
                          nullable: true
                        signature:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        deletedAt:
                          type: string
                          format: date-time
                          nullable: true
                        loyaltyCurrency:
                          type: object
                          properties:
                            id:
                              type: string
                              format: uuid
                            name:
                              type: string
                            symbol:
                              type: string
                            decimals:
                              type: number
                            imageUrl:
                              type: string
                              nullable: true
                          required:
                            - id
                            - name
                            - symbol
                            - decimals
                            - imageUrl
                          title: Loyalty Currency
                          description: Schema representing a loyalty currency
                          nullable: true
                        auctionBids:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                format: uuid
                              amount:
                                type: string
                              createdAt:
                                type: string
                                format: date-time
                            required:
                              - id
                              - amount
                              - createdAt
                            title: Auction Bid
                            description: Schema representing an auction bid
                      required:
                        - id
                        - websiteId
                        - organizationId
                        - mintingContractId
                        - userId
                        - reservePrice
                        - minBidIncrement
                        - minBidAmount
                        - currencyAddress
                        - loyaltyCurrencyId
                        - currencyDecimals
                        - startsAt
                        - endsAt
                        - extendedDurationInSeconds
                        - hideBids
                        - type
                        - status
                        - biddersOwnCollectionAddresses
                        - name
                        - description
                        - network
                        - signature
                        - createdAt
                        - updatedAt
                        - deletedAt
                        - loyaltyCurrency
                        - auctionBids
                      title: Auction
                      description: Schema representing an auction
                  hasNextPage:
                    type: boolean
                required:
                  - data
                  - hasNextPage
                title: Get Auctions Response
                description: Schema for the response when fetching auctions
        '403':
          description: '403'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Forbidden, Could not validate api key
                required:
                  - message
                title: Forbidden Response
                description: Schema for forbidden response
                example: Forbidden, Could not validate api key
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````